Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# VertexBufferContext Class Reference

This is a special class object that holds all the information returned by a particular GSG to indicate the vertex data array's internal context identifier. More...

Inheritance diagram for VertexBufferContext:

List of all members.

## Public Member Functions
bool | changedSize (GeomVertexArrayDataHandle const reader)
| Returns true if the data has changed size since the last time mark_loaded() was called.
bool | changedUsageHint (GeomVertexArrayDataHandle const reader)
| Returns true if the data has changed its usage hint since the last time mark_loaded() was called.
GeomVertexArrayData | getData ()
| Returns the pointer to the client-side array data object.
bool | wasModified (GeomVertexArrayDataHandle const reader)
| Returns true if the data has been modified since the last time mark_loaded() was called.
## Static Public Member Functions
static TypeHandle | getClassType ()

## Detailed Description

This is a special class object that holds all the information returned by a particular GSG to indicate the vertex data array's internal context identifier.

This allows the GSG to cache the vertex data array in whatever way makes sense. For instance, DirectX can allocate a vertex buffer for the array. OpenGL can create a buffer object.

## Member Function Documentation

bool changedSize | ( | GeomVertexArrayDataHandle const | reader | ) |

Returns true if the data has changed size since the last time mark_loaded() was called.

bool changedUsageHint | ( | GeomVertexArrayDataHandle const | reader | ) |

Returns true if the data has changed its usage hint since the last time mark_loaded() was called.

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from BufferContext.

GeomVertexArrayData getData | ( |  | ) |

Returns the pointer to the client-side array data object.

bool wasModified | ( | GeomVertexArrayDataHandle const | reader | ) |

Returns true if the data has been modified since the last time mark_loaded() was called.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties